Revenue policies
Decide accounting exceptions in bulk
Take one decision, with a reason, over open exceptions of several contracts sharing a compatibility key: approve each contract’s latest version or record the same override on each, all or nothing; each contract is then re-assessed.
POST
/
v1
/
accounting
/
exceptions
/
bulk-decision
Decide accounting exceptions in bulk
curl --request POST \
--url https://api.hyperline.co/v1/accounting/exceptions/bulk-decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exception_ids": [
"<string>"
],
"decision": {
"kind": "approval"
},
"reason": "Price confirmed by the pricing committee."
}
'import requests
url = "https://api.hyperline.co/v1/accounting/exceptions/bulk-decision"
payload = {
"exception_ids": ["<string>"],
"decision": { "kind": "approval" },
"reason": "Price confirmed by the pricing committee."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
exception_ids: ['<string>'],
decision: {kind: 'approval'},
reason: 'Price confirmed by the pricing committee.'
})
};
fetch('https://api.hyperline.co/v1/accounting/exceptions/bulk-decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperline.co/v1/accounting/exceptions/bulk-decision",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'exception_ids' => [
'<string>'
],
'decision' => [
'kind' => 'approval'
],
'reason' => 'Price confirmed by the pricing committee.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hyperline.co/v1/accounting/exceptions/bulk-decision"
payload := strings.NewReader("{\n \"exception_ids\": [\n \"<string>\"\n ],\n \"decision\": {\n \"kind\": \"approval\"\n },\n \"reason\": \"Price confirmed by the pricing committee.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hyperline.co/v1/accounting/exceptions/bulk-decision")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"exception_ids\": [\n \"<string>\"\n ],\n \"decision\": {\n \"kind\": \"approval\"\n },\n \"reason\": \"Price confirmed by the pricing committee.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperline.co/v1/accounting/exceptions/bulk-decision")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"exception_ids\": [\n \"<string>\"\n ],\n \"decision\": {\n \"kind\": \"approval\"\n },\n \"reason\": \"Price confirmed by the pricing committee.\"\n}"
response = http.request(request)
puts response.read_body{
"batch_id": "<string>",
"exceptions": [
{
"id": "acx_9xQ1z4Ha7Gk2Lm",
"assessment_id": "caa_2Lm9xQ1z4Ha7Gk",
"assessment_version": 123,
"subscription_id": "sub_Gk2Lm9xQ1z4Ha7",
"customer_id": "cus_Lm9xQ1z4Ha7Gk2",
"code": "missing_standalone_selling_price",
"severity": "blocking",
"status": "open",
"obligation_key": "<string>",
"product_ids": [
"<string>"
],
"evidence": {},
"proposed_resolution": {},
"compatibility_key": "<string>",
"decision_id": "<string>",
"resolved_at": "2024-12-20T16:04:11Z",
"created_at": "2024-12-20T16:04:11Z"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Body
application/json
Was this page helpful?
⌘I
Decide accounting exceptions in bulk
curl --request POST \
--url https://api.hyperline.co/v1/accounting/exceptions/bulk-decision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"exception_ids": [
"<string>"
],
"decision": {
"kind": "approval"
},
"reason": "Price confirmed by the pricing committee."
}
'import requests
url = "https://api.hyperline.co/v1/accounting/exceptions/bulk-decision"
payload = {
"exception_ids": ["<string>"],
"decision": { "kind": "approval" },
"reason": "Price confirmed by the pricing committee."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
exception_ids: ['<string>'],
decision: {kind: 'approval'},
reason: 'Price confirmed by the pricing committee.'
})
};
fetch('https://api.hyperline.co/v1/accounting/exceptions/bulk-decision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.hyperline.co/v1/accounting/exceptions/bulk-decision",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'exception_ids' => [
'<string>'
],
'decision' => [
'kind' => 'approval'
],
'reason' => 'Price confirmed by the pricing committee.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hyperline.co/v1/accounting/exceptions/bulk-decision"
payload := strings.NewReader("{\n \"exception_ids\": [\n \"<string>\"\n ],\n \"decision\": {\n \"kind\": \"approval\"\n },\n \"reason\": \"Price confirmed by the pricing committee.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.hyperline.co/v1/accounting/exceptions/bulk-decision")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"exception_ids\": [\n \"<string>\"\n ],\n \"decision\": {\n \"kind\": \"approval\"\n },\n \"reason\": \"Price confirmed by the pricing committee.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.hyperline.co/v1/accounting/exceptions/bulk-decision")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"exception_ids\": [\n \"<string>\"\n ],\n \"decision\": {\n \"kind\": \"approval\"\n },\n \"reason\": \"Price confirmed by the pricing committee.\"\n}"
response = http.request(request)
puts response.read_body{
"batch_id": "<string>",
"exceptions": [
{
"id": "acx_9xQ1z4Ha7Gk2Lm",
"assessment_id": "caa_2Lm9xQ1z4Ha7Gk",
"assessment_version": 123,
"subscription_id": "sub_Gk2Lm9xQ1z4Ha7",
"customer_id": "cus_Lm9xQ1z4Ha7Gk2",
"code": "missing_standalone_selling_price",
"severity": "blocking",
"status": "open",
"obligation_key": "<string>",
"product_ids": [
"<string>"
],
"evidence": {},
"proposed_resolution": {},
"compatibility_key": "<string>",
"decision_id": "<string>",
"resolved_at": "2024-12-20T16:04:11Z",
"created_at": "2024-12-20T16:04:11Z"
}
]
}{
"message": "<string>"
}{
"message": "<string>"
}
